Subject: Re: bug#24981: [Website] All pages fail the HTML validation test

From: sirgazil <[email-masked]>
Date: Thu, 7 Dec 2017 08:33:09 -0500

On 07/12/17 07:21, Ludovic Courtès wrote:
> Hello,
> 
> sirgazil <[email-masked]> skribis:
> 
>> With the new website online, all pages pass the HTML validation,
>> except for the Packages page, which has a </p> tag for no opened P
>> element in every package description,
> 
> Oh, how’s that possible?  A bug in Guile’s ‘sxml->xml’?

I haven't take a look at the code yet. But I plan to do so after I 
upgrade Guix to 0.14.

>> and uses obsolete TT element in links to patches.
> 
> I didn’t know <tt> is obsolete.  Would <code> be OK here?
> 

Depending on the meaning of the texinfo command that is converted to TT 
one could use CODE, a SPAN with a class or any of the other elements 
recommended here: 
https://www.w3.org/TR/html5/obsolete.html#non-conforming-features.

> We’d need to adjust Guile’s stexi modules accordingly.
> 
> Thanks,
> Ludo’.
>